Subject: [p2p-sip] Problem statement for P2P SIP NAT traversal

From: drage at lucent.com (Drage, Keith (Keith))
Date: Tue, 14 Mar 2006 10:14:34 -0000

I'll strongly support Jonathan on this one.

We have essentially already had this discussion on a wider level that just NATs.

The direction that the draft charter envisages is that p2p reuses SIP and primarily is meant to deal with the discovery issues and so on that relate to the centralised behaviour of existing SIP. It is not designing a total replacement for SIP. That charter is still obviously to be discussed at the BOF and then by the IESG, but I think we have to use what exists for the moment.

Anything else must be addressed as a set of requirements to the group concerned with the general issues as it applies to SIP, and in my view such requirements must indicate why this is a special issue for p2p rather than a general issue for SIP, otherwise we descend into a war between two working groups on the best way to meet an issue for SIP generally.

And as for the contention that any solution must be widely deployed and RFC status. We why stop there, surely to stack up to Michael's criteria it must at the very least be a draft standard - because we can only prove it is widely deployed and interoperable by taking the RFC to draft standard. Oh, dear! SIP is still only proposed standard and the roadmap doesn't even exist yet to take it to draft standard.

regards

Keith

> -----Original Message-----
> From: p2p-sip-bounces at cs.columbia.edu
> [mailto:p2p-sip-bounces at cs.columbia.edu]On Behalf Of Jonathan 
> Rosenberg
> Sent: 13 March 2006 21:18
> To: Michael Slavitch
> Cc: 'P2P-SIP'
> Subject: Re: [p2p-sip] Problem statement for P2P SIP NAT traversal
> 
> 
> 
> 
> Michael Slavitch wrote:
> 
> > Jonathan Rosenberg wrote:
> > 
> >>
> >> As I have suggested before, if you have beefs with the 
> design of ICE, 
> >> take them to mmusic and lets discuss there as part of ICE 
> discussions. 
> >> If you have an alternative proposal, I look forward to the 
> draft. But, 
> >> it is a travesty to the community to use p2p sip as an excuse to 
> >> redesign parts of SIP with new requirements that have 
> nothing to do 
> >> with p2p.
> >>
> >> -Jonathan R.
> >>   
> > 
> > The result of the process will be a set of requirements to 
> solve the 
> > use-case needs of P2PSIP.
> > 
> > If it can be */demonstrated /*that ICE can meet these 
> requirements ICE 
> > will be fine. If not a set of requirements will be sent to MMUSIC.
> > If MMUSIC cannot act on these requirements or if ICE cannot 
> be seen as 
> > effectively meeting those requirements something else must be 
> > considered.  It is the onus of ICE to meet these 
> requirements, not the 
> > other way around.
> 
> I'm afraid I have to disagree with that.
> 
> It is not the job of p2p sip to redefine the requirements for 
> all of the 
> SIP extensions that our out there, so that you can choose to 
> retain or 
> discard various ones as you see fit. If this were the case, 
> "p2p sip" is 
> a poor name for this group. It sounds like some folks are looking for 
> 'p2p voip', and you'd like to define a protocol that is not 
> interoperable with sip to do that. Well, that is one possible 
> charter, 
> but not the one I'd hope for.
> 
> > 
> > I say requirement #1 is:  P2PSIP NAT traversal must be in broad 
> > interoperable use.
> > Teredo may be such a beast.  I am not so sure about ICE.
> 
> Well, we can debate all of that. ICE is actually in use quite 
> a bit in 
> various softphones and voip deployments in service providers today. 
> Teredo is for v6, as you know. As I said, a v6 only solution for nat 
> traversal is .... interesting. YMMV as to whether that meets 
> the needs 
> of the community.
> 
> In any case, all of this is really just sounding like the 'we hate 
> certain sip extensions and plan on doing our own' WG. Now, I 
> can point 
> to other SIP documents in various stages of deployment. So, I 
> guess, by 
> your metric, p2p sip shall be able to discard anything it 
> likes that has 
> not reached some magic deployment threshold? Absurd.
> 
> 
> > 
> > It is the requirements that win, not a draft 
> implementation.  ICE is 
> > still an Internet-Draft.  It is not yet RFC standard in 
> wide adoption.
> 
> Its not an RFC, no. WIDE usage? Depends on your definition. 
> Implemented? 
> Absolutely. Deployed? Yes.
> 
> I'll note I found this criteria (technique must be in widespread 
> deployment) laughable. p2p SIP itself is not even yet a 
> working group. 
> We've got threads going on debating fundamental issues like, 
> should the 
> DHT be done within SIP or through a layer separate? And can it be 
> secured? p2p SIP is itself only just getting started. And you 
> are going 
> to throw away a fundamental piece of SIP architecture because its not 
> done yet? Now that is ironic.
> 
> 
> > 
> > It is true that P2PSIP should borrow on existing standards 
> for SIP.  SIP 
> > has been around for a decade.
> > ICE is still in draft form, version seven and counting.
> > 
> > When ICE is RFC level and in wide interoperable use the 
> same will be 
> > said for it.
> > Until then it is a draft, and drafts can still be fed 
> requirements or 
> > suggestions, or rejected outright.
> 
> Sure it can be changed or improved; we've been doing that for 
> a while. 
> This is a hard problem as you know, with many constraints 
> from different 
> communities.
> 
> But rejected outright? Well, its a WG document, it has broad support 
> from the WG as such. There are no plans for its rejection 
> that I know of.
> 
> 
> > How many iterations of ICE have we seen. How many YEARS has 
> it taken? 
> > And it is still in draft form. I would respect "use ICE" if 
> the ICE RFC 
> > was settled five years ago.  It was not.  ICE is still an 
> open question.
> > 
> > Meanwhile,  Skype works right now and is gobbling up share. 
>  If ICE was 
> > a simple RFC three years ago this would not be the case.
> 
> Ah. So, by your metric (wide deployment), our only possible 
> solution for 
> p2p SIP, nat traversal and all, would be Skype?
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Cisco Fellow                                   Parsippany, NJ 
> 07054-2711
> Cisco Systems
> jdrosen at cisco.com                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>